Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PSSR Class Referencefinal

`#include <pssr.h>`

Inheritance diagram for Botan::PSSR:

## Public Member Functions
EMSA * | clone () override
| PSSR (HashFunction *hash)
| PSSR (HashFunction *hash, size_t salt_size)

## Detailed Description

PSSR (called EMSA4 in IEEE 1363 and in old versions of the library)

Definition at line 19 of file pssr.h.

## Constructor & Destructor Documentation

Botan::PSSR::PSSR | ( | HashFunction * | hash | ) |
| explicit

Parameters

  hash | the hash function to use

Definition at line 128 of file pssr.cpp.

128 :
129 m_SALT_SIZE(h->output_length()), m_hash(h)
130 {
131 }

Botan::PSSR::PSSR | ( | HashFunction * | hash,
|  | size_t | salt_size
| ) |  |

Parameters

  hash | the hash function to use
  salt_size | the size of the salt to use in bytes

Definition at line 133 of file pssr.cpp.

133 :
134 m_SALT_SIZE(salt_size), m_hash(h)
135 {
136 }
salt_size
size_t salt_size
Definition: p11_mechanism.cpp:69

## Member Function Documentation

EMSA* Botan::PSSR::clone | ( |  | ) |
| inline override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 34 of file pssr.h.

References m_hash.

34 { return new PSSR(m_hash->clone(), m_SALT_SIZE); }
Botan::PSSR::PSSR
PSSR(HashFunction *hash)
Definition: pssr.cpp:128

The documentation for this class was generated from the following files:

- src/lib/pk_pad/emsa_pssr/pssr.h
- src/lib/pk_pad/emsa_pssr/pssr.cpp